commit:     a8bdd5209a2d2c03b4d20ee84f3568856071b0d6
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Tue May 25 16:52:51 2021 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Thu Sep  9 13:26:40 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8bdd520

dev-util/plan9port: new snapshot

non-free fonts under useflag
remove live ebuild
remove old snapshot

Bug: https://bugs.gentoo.org/791742
Closes: https://bugs.gentoo.org/779214
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>
Signed-off-by: Anthony G. Basile <blueness <AT> gentoo.org>

 dev-util/plan9port/Manifest                        |   2 +-
 .../plan9port/files/plan9port-noexecstack.patch    |  35 ------
 dev-util/plan9port/metadata.xml                    |   3 +
 ...00526.ebuild => plan9port-0_pre20210321.ebuild} |  32 ++++--
 dev-util/plan9port/plan9port-9999.ebuild           | 126 ---------------------
 5 files changed, 26 insertions(+), 172 deletions(-)

diff --git a/dev-util/plan9port/Manifest b/dev-util/plan9port/Manifest
index 09b8c7cbe5f..26110d5f298 100644
--- a/dev-util/plan9port/Manifest
+++ b/dev-util/plan9port/Manifest
@@ -1 +1 @@
-DIST plan9port-a6ad39aaaa36b8aadc5c35bfc803afbde32918c0.tar.gz 23445647 
BLAKE2B 
4cb0f08fc404c5618c4be0d7e5710e6a8a32fbe010d28a879b1f9575118256492a3ed2b9b744c35dbbb6c6deae405c05fd7b6606254fb94fc2b40b3a8d14fa71
 SHA512 
4d9f6ce66d3eebb311cbbb0ec27c01d99cc0e19c6ac8a1c511ff00070c085a349b637048cd0066240af975e90f527388dbeba58f4591bf7dcaa673ee5564430f
+DIST plan9port-88a87fadae6629932d9c160f53ad5d79775f8f94.tar.gz 23413373 
BLAKE2B 
6145dd77c9e4b33ebc6d68f42ed69e320e8bfcaae474a16afb3a62e30c13a39117d7013f3cc075eb48c95a5600c4fdb457e45f65f7b25ad2acc7b19dc9cf8e64
 SHA512 
f008969274e790238b58ebd0d0dcfaa730557daf974797f8c4014c36ac39995b330db9c6d658655358fdb2be64905b83c35e2287b7cd66b2d3249e1da1a3e119

diff --git a/dev-util/plan9port/files/plan9port-noexecstack.patch 
b/dev-util/plan9port/files/plan9port-noexecstack.patch
index aff60d07a98..20aecce2515 100644
--- a/dev-util/plan9port/files/plan9port-noexecstack.patch
+++ b/dev-util/plan9port/files/plan9port-noexecstack.patch
@@ -3,44 +3,9 @@ Remove unneeded executable stack
 Assembly routines in libthread and libmp use an executable stack by
 default. This is not needed and can be removed using --noexecstack.
 
-The plan9port 9a wrapper wrapper needs to be modified to pass flags to the
-underlying assembler first though..
-
 Patch by Andy Spencer
 
   http://code.swtch.com/plan9port/issue/76/
---- a/bin/9a
-+++ b/bin/9a
-@@ -1,10 +1,5 @@
- #!/bin/sh
- 
--if [ $# != 1 ]; then
--      echo 'usage: 9a file.s' 1>&2
--      exit 1
--fi
--
- test -f $PLAN9/config && . $PLAN9/config
- 
- aflags=""
-@@ -17,5 +12,16 @@
-       ;;
- esac
- 
--out=`echo $1 | sed 's/\.s$//;s/$/.o/'`
--exec as $aflags -o $out $1
-+for arg; do
-+      case $arg in
-+      -*)
-+              opts="$opts $arg"
-+              ;;
-+      *.s)
-+              src=$arg
-+              dst=$(echo $arg | sed 's/\.s/\.o/')
-+              ;;
-+      esac
-+done
-+
-+exec as $aflags $opts -o $dst $src
 --- a/src/mkhdr
 +++ b/src/mkhdr
 @@ -13,7 +13,7 @@

diff --git a/dev-util/plan9port/metadata.xml b/dev-util/plan9port/metadata.xml
index 522c313926c..e87e52f3094 100644
--- a/dev-util/plan9port/metadata.xml
+++ b/dev-util/plan9port/metadata.xml
@@ -12,4 +12,7 @@
        <upstream>
                <remote-id type="github">9fans/plan9port</remote-id>
        </upstream>
+       <use>
+               <flag name="freefonts">Don't install BigelowHolmes fonts</flag>
+       </use>
 </pkgmetadata>

diff --git a/dev-util/plan9port/plan9port-0_pre20200526.ebuild 
b/dev-util/plan9port/plan9port-0_pre20210321.ebuild
similarity index 86%
rename from dev-util/plan9port/plan9port-0_pre20200526.ebuild
rename to dev-util/plan9port/plan9port-0_pre20210321.ebuild
index dff9e3605a9..4b5f80a4b8b 100644
--- a/dev-util/plan9port/plan9port-0_pre20200526.ebuild
+++ b/dev-util/plan9port/plan9port-0_pre20210321.ebuild
@@ -1,22 +1,25 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
 inherit multiprocessing toolchain-funcs readme.gentoo-r1
 
-MY_HASH="a6ad39aaaa36b8aadc5c35bfc803afbde32918c0"
+MY_HASH="88a87fadae6629932d9c160f53ad5d79775f8f94"
 MY_P="${PN}-${MY_HASH}"
 
 DESCRIPTION="Port of many Plan 9 programs and libraries"
 HOMEPAGE="https://9fans.github.io/plan9port/
        https://github.com/9fans/plan9port";
 SRC_URI="https://github.com/9fans/${PN}/archive/${MY_HASH}.tar.gz -> 
${MY_P}.tar.gz"
-
-LICENSE="9base BSD-4 MIT LGPL-2.1 BigelowHolmes"
+S="${WORKDIR}/${MY_P}"
+LICENSE="
+       MIT RSA Apache-2.0 public-domain BitstreamVera BZIP2
+       !freefonts? ( BigelowHolmes )
+"
 SLOT="0"
 KEYWORDS="~amd64 ~x86"
-IUSE="X aqua truetype"
+IUSE="X aqua freefonts truetype"
 REQUIRED_USE="?? ( X aqua )"
 
 DEPEND="
@@ -34,8 +37,6 @@ PATCHES=(
        "${FILESDIR}/${PN}-builderr.patch"
 )
 
-S="${WORKDIR}/${MY_P}"
-
 PLAN9="/opt/plan9"
 EPLAN9="${EPREFIX}${PLAN9}"
 QA_MULTILIB_PATHS="${PLAN9}/.*/.*"
@@ -56,10 +57,19 @@ DISABLE_AUTOFORMATTING="yes"
 src_prepare() {
        default
 
+       if use freefonts; then
+               pushd font || die
+               rm -r big5 fixed jis luc{,m,sans} misc naga10 pelm shinonome || 
die
+               popd || die
+               rm -r postscript/font/luxi || die
+       fi
+
        case "${CHOST}" in
-               *apple*)
-                       sed -i 's/--noexecstack/-noexecstack/' src/mkhdr ||
-                               die "Failed to sed AFLAGS" ;;
+       *apple*)
+               sed -i 's/--noexecstack/-noexecstack/' src/mkhdr ||
+                       die "Failed to sed AFLAGS" ;;
+       *)
+               rm -rf mac || die
        esac
 
        # don't hardcode /bin and /usr/bin in PATH
@@ -114,6 +124,8 @@ src_compile() {
 src_install() {
        readme.gentoo_create_doc
 
+       rm -rf src || die
+
        # do* plays with the executable bit, and we should not modify them
        dodir "${PLAN9}"
        cp -a * "${ED}${PLAN9}" || die "cp failed"

diff --git a/dev-util/plan9port/plan9port-9999.ebuild 
b/dev-util/plan9port/plan9port-9999.ebuild
deleted file mode 100644
index 4c1e286476b..00000000000
--- a/dev-util/plan9port/plan9port-9999.ebuild
+++ /dev/null
@@ -1,126 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit multiprocessing toolchain-funcs git-r3 readme.gentoo-r1
-
-DESCRIPTION="Port of many Plan 9 programs and libraries"
-HOMEPAGE="https://9fans.github.io/plan9port/
-       https://github.com/9fans/plan9port";
-EGIT_REPO_URI="https://github.com/9fans/${PN}.git";
-
-LICENSE="9base BSD-4 MIT LGPL-2.1 BigelowHolmes"
-SLOT="0"
-IUSE="X aqua truetype"
-REQUIRED_USE="?? ( X aqua )"
-
-DEPEND="
-       X? ( x11-apps/xauth )
-       truetype? (
-               media-libs/freetype
-               media-libs/fontconfig
-       )
-"
-RDEPEND="${DEPEND}"
-
-PATCHES=(
-       "${FILESDIR}/${PN}-noexecstack.patch"
-       "${FILESDIR}/${PN}-cflags.patch"
-       "${FILESDIR}/${PN}-builderr.patch"
-)
-
-PLAN9="/opt/plan9"
-EPLAN9="${EPREFIX}${PLAN9}"
-QA_MULTILIB_PATHS="${PLAN9}/.*/.*"
-
-DOC_CONTENTS="Plan 9 from User Space has been successfully installed into
-${PLAN9}. Your PLAN9 and PATH environment variables have
-also been appropriately set, please use env-update and
-source /etc/profile to bring that into immediate effect.
-
-Please note that ${PLAN9}/bin has been appended to the
-*end* or your PATH to prevent conflicts. To use the Plan9
-versions of common UNIX tools, use the absolute path:
-${PLAN9}/bin or the 9 command (eg: 9 troff)
-
-Please report any bugs to bugs.gentoo.org, NOT Plan9Port."
-DISABLE_AUTOFORMATTING="yes"
-
-src_prepare() {
-       default
-
-       case "${CHOST}" in
-               *apple*)
-                       sed -i 's/--noexecstack/-noexecstack/' src/mkhdr ||
-                               die "Failed to sed AFLAGS" ;;
-       esac
-
-       # don't hardcode /bin and /usr/bin in PATH
-       sed -i '/PATH/s,/bin:/usr/bin:,,' INSTALL || die "sed on INSTALL failed"
-
-       # don't hardcode /usr/{,local/}include and prefix /usr/include/*
-       sed -Ei -e 's,-I/usr(|/local)/include ,,g' \
-               -e "s,-I/usr(|/local)/include,-I${EPREFIX}/usr\1/include,g" \
-               src/cmd/fontsrv/freetyperules.sh INSTALL $(find -name makefile) 
||
-               die "sed failed"
-
-       # Fix paths, done in place of ./INSTALL -c
-       einfo "Fixing hard-coded /usr/local/plan9 paths"
-       sed -i "s,/usr/local/plan9,${EPLAN9},g" $(grep -lr /usr/local/plan9) ||
-               die "sed failed"
-}
-
-src_configure() {
-       local -a myconf=(
-               CC9="$(tc-getCC)"
-               CC9FLAGS="'${CFLAGS} ${LDFLAGS}'"
-       )
-
-       if use X; then
-               myconf+=( WSYSTYPE=x11 )
-       elif use aqua; then
-               local wsystype="$(awk '{if ($1 > 10.5) print "osx-cocoa"; else 
print "osx"}' \
-                       <<< "${MACOSX_DEPLOYMENT_TARGET}")"
-               myconf+=( WSYSTYPE="${wsystype}" )
-       else
-               myconf+=( WSYSTYPE=nowsys )
-       fi
-
-       if use truetype; then
-               myconf+=( FONTSRV=fontsrv )
-       else
-               myconf+=( FONTSRV= )
-       fi
-
-       printf '%s\n' "${myconf[@]}" >> LOCAL.config ||
-               die "cannot create configuration"
-}
-
-src_compile() {
-       # The INSTALL script builds mk then [re]builds everything using that
-       einfo "Compiling Plan 9 from User Space can take a very long time"
-       einfo "depending on the speed of your computer. Please be patient!"
-       NPROC="$(makeopts_jobs)" ./INSTALL -b ||
-               die "Please report bugs to bugs.gentoo.org, NOT Plan9Port."
-}
-
-src_install() {
-       readme.gentoo_create_doc
-
-       # do* plays with the executable bit, and we should not modify them
-       dodir "${PLAN9}"
-       cp -a * "${ED}${PLAN9}" || die "cp failed"
-
-       # build the environment variables and install them in env.d
-       newenvd - 60plan9 <<-EOF
-               PLAN9="${EPLAN9}"
-               PATH="${EPLAN9}/bin"
-               ROOTPATH="${EPLAN9}/bin"
-               MANPATH="${EPLAN9}/man"
-       EOF
-}
-
-pkg_postinst() {
-       readme.gentoo_print_elog
-}

Reply via email to